/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
export const Msg$0 = {};
Msg$0['add-parts-1'] = "We'll start by adding parts to our app.";
Msg$0['add-parts-2'] = "To build the interface of the app, we need parts";
Msg$0['open-parts-drawer-1'] = "Click here to see all the parts.";
Msg$0['open-parts-drawer-2'] = "Open the parts drawer by clicking here.";
Msg$0['start-code-1'] = "Now we can start coding.";
Msg$0['start-code-2'] = "All the parts are here, let's code!";
Msg$0['close-parts-drawer-1'] = "Close the drawer.";
Msg$0['close-parts-drawer-2'] = "Hit that button";
Msg$0['connect-blocks-1'] = "Connect it to this block";
Msg$0['drop-codespace-1'] = "Drop the block anywhere on your code space";
Msg$0['wrong-block-added-1'] = "Oh no! this is not the right block.";
Msg$0['put-block-in-bin-1'] = "That's ok, put it in the bin";
Msg$0['wrong-category-opened-1'] = "Nope, open this one instead";
Msg$0['wrong-block-connection-1'] = "Whoops, not quite right. Put it there instead";
Msg$0.Groups = Msg$0.Groups || {};
Msg$0.Groups['add-parts'] = ['add-parts-1', 'add-parts-2'];
Msg$0.Groups['open-parts-drawer'] = ['open-parts-drawer-1', 'open-parts-drawer-2'];
Msg$0.Groups['start-code'] = ['start-code-1', 'start-code-2'];
Msg$0.Groups['close-parts-drawer'] = ['close-parts-drawer-1', 'close-parts-drawer-2'];
Msg$0.Groups['connect-blocks'] = ['connect-blocks-1'];
Msg$0.Groups['drop-codespace'] = ['drop-codespace-1'];
Msg$0.Groups['wrong-block-added'] = ['wrong-block-added-1'];
Msg$0.Groups['put-block-in-bin'] = ['put-block-in-bin-1'];
Msg$0.Groups['wrong-category-opened'] = ['wrong-category-opened-1'];
Msg$0.Groups['wrong-block-connection'] = ['wrong-block-connection-1'];
Msg$0.OH_OH = "Oh oh";
Msg$0.DO_YOU_SAVE = "Do you want to save your creation?";
Msg$0.ARE_YOU_SURE = "Are you sure?";
Msg$0.CANCEL = "Cancel";
Msg$0.CONFIRM = "Confirm";
Msg$0.GOT_IT = "Got it";
Msg$0.NO_THANKS = "No, thanks";
Msg$0.SAVE = "Save";
Msg$0.SAVE_IT = "Save it!";
Msg$0.SAVING = "Saving";
Msg$0.SAVED = "Saved";
Msg$0.SAVING_FAILED = "Saving failed";
Msg$0.EXIT = "Exit";
Msg$0.CLOSE = "Close";
Msg$0.DONE = "Done";
Msg$0.LOGIN = "Login";
Msg$0.LOG_OUT = "Logout";
Msg$0.RESET = "Reset";
Msg$0.RESTART = "Restart";
Msg$0.DELETE = "delete";
Msg$0.NEXT_CHALLENGE = "Next Challenge";
Msg$0.BACK_TO_CHALLENGES = "Back to Challenges";
Msg$0.RESET_WORKSPACE = "Reset Workspace";
Msg$0.EXPORT = "Export";
Msg$0.IMPORT = "Import";
Msg$0.GIVE_FEEDBACK = "Give Feedback";
Msg$0.PARTS = "Parts";
Msg$0.MODE = "Mode";
Msg$0.UPDATE_INTERVAL = "Interval";
Msg$0.PROXIMITY = "Proximity";
Msg$0.GESTURE = "Gesture";
Msg$0.STROKE_SIZE = "Stroke Size";
Msg$0.STROKE_COLOR = "Stroke Color";
Msg$0.WIDTH = "Width";
Msg$0.HEIGHT = "Height";
Msg$0.RADIUS = "Radius";
Msg$0.COLOR = "Color";
Msg$0.LABEL = "Label";
Msg$0.WAVE = "Wave";
Msg$0.SPEED = "Speed";
Msg$0.DELAY = "Delay";
Msg$0.MIN = "Min";
Msg$0.MAX = "Max";
Msg$0.DEFAULT = "Default";
Msg$0.IMAGE = "Image";
Msg$0.ANIMATION = "Animation";
Msg$0.ANIMATIONS = "Animations";
Msg$0.BITMAP = "Bitmap";
Msg$0.BITMAPS = "Bitmaps";
Msg$0.SIZE = "Size";
Msg$0.TEXT = "Text";
Msg$0.PLACEHOLDER = "Placeholder";
Msg$0.SCROLL_DEFAULT = "My scrolling text";
Msg$0.TEXT_DEFAULT = "My text";
Msg$0.IS_CLICKED = "is clicked";
Msg$0.CHANGED = "changed";
Msg$0.CLICK_ME = "Click me";
Msg$0.PART_BOX_NAME = "Box";
Msg$0.PART_BUTTON_NAME = "Button";
Msg$0.PART_CLOCK_NAME = "Clock";
Msg$0.PART_MAP_NAME = "Map";
Msg$0.PART_MIC_NAME = "Mic";
Msg$0.PART_MOUSE_NAME = "Mouse";
Msg$0.PART_OSC_NAME = "Osc";
Msg$0.PART_PICTURE_LIST_NAME = "Picture List";
Msg$0.PART_SCROLL_NAME = "Scroller";
Msg$0.PART_SLIDER_NAME = "Slider";
Msg$0.PART_SPEAKER_NAME = "Speaker";
Msg$0.PART_SYNTH_NAME = "Synth";
Msg$0.PART_STICKER_NAME = "Sticker";
Msg$0.PART_TEXT_NAME = "Text";
Msg$0.PART_TEXT_INPUT_NAME = "Text input";
Msg$0.PART_CANVAS_NAME = "Draw";
Msg$0.PART_DATA_SHARE_NAME = "Shares";
Msg$0.PART_DATA_ISS_NAME = "ISS";
Msg$0.PART_DATA_WEATHER_NAME = "Weather";
Msg$0.PART_DATA_RSS_NAME = "RSS";
Msg$0.PART_DATA_SPORTS_NAME = "Sports";
Msg$0.PART_LIGHT_ANIMATION_NAME = "Animation";
Msg$0.PART_LIGHT_ANIMATION_DISPLAY_NAME = "Player";
Msg$0.PART_LIGHT_CIRCLE_NAME = "Circle";
Msg$0.PART_LIGHT_FRAME_NAME = "Frame";
Msg$0.PART_LIGHT_RECTANGLE_NAME = "Rectangle";
Msg$0.PART_FIREWORKS_NAME = "Fireworks";
Msg$0.PART_TALKING_FACE_NAME = "Talking face";
Msg$0.PART_GYRO_ACCELEROMETER_NAME = "Tilt";
Msg$0.PART_MOTION_SENSOR_NAME = "Motion";
Msg$0.PART_TERMINAL_NAME = "Terminal";
Msg$0.BLOCK_TEXT_INPUT_TYPE_IN = "Type in here...";
Msg$0.PART_DATA_SHARE_TITLE_TITLE = "Title";
Msg$0.PART_DATA_SHARE_TITLE_DESC = "Title of the share";
Msg$0.PART_DATA_SHARE_LIKES_TITLE = "Likes";
Msg$0.PART_DATA_SHARE_LIKES_DESC = "How many likes the share got";
Msg$0.PART_DATA_SHARE_USER_TITLE = "User";
Msg$0.PART_DATA_SHARE_USER_DESC = "Name of the author of the share";
Msg$0.PART_DATA_SHARE_IMAGE_TITLE = "Image";
Msg$0.PART_DATA_SHARE_IMAGE_DESC = "Image of the share";
Msg$0.PART_DATA_ISS_LATITUDE_TITLE = "Latitude";
Msg$0.PART_DATA_ISS_LATITUDE_DESC = "Latitude of the ISS";
Msg$0.PART_DATA_ISS_LONGITUDE_TITLE = "Longitude";
Msg$0.PART_DATA_ISS_LONGITUDE_DESC = "Longitude of the ISS";
Msg$0.PART_DATA_WEATHER_LOCATION_TITLE = "Location";
Msg$0.PART_DATA_WEATHER_LOCATION_DEFAULT = "London, U.K.";
Msg$0.PART_DATA_WEATHER_UNITS_TITLE = "Units";
Msg$0.PART_DATA_WEATHER_UNITS_DESC = "The metric system will display the temperature in ºC while the imperial one will display it in ºF";
Msg$0.PART_DATA_WEATHER_UNITS_METRIC = "Celsius";
Msg$0.PART_DATA_WEATHER_UNITS_IMPERIAL = "Fahrenheit";
Msg$0.PART_DATA_WEATHER_TEMPERATURE_TITLE = "Temperature";
Msg$0.PART_DATA_WEATHER_TEMPERATURE_DESC = "The current temperature at the location";
Msg$0.PART_DATA_WEATHER_SPEED_TITLE = "Wind speed";
Msg$0.PART_DATA_WEATHER_SPEED_DESC = "The speed of the wind";
Msg$0.PART_DATA_WEATHER_ANGLE_TITLE = "Wind angle";
Msg$0.PART_DATA_WEATHER_ANGLE_DESC = "The general direction of the wind";
Msg$0.PART_DATA_WEATHER_CLOUDS_TITLE = "Clouds";
Msg$0.PART_DATA_WEATHER_CLOUDS_DESC = "The percentage of the sky covered by clouds";
Msg$0.PART_DATA_WEATHER_EMOJI_TITLE = "Emoji";
Msg$0.PART_DATA_WEATHER_EMOJI_DESC = "The emoji matching the weather";
Msg$0.PART_DATA_RSS_SOURCE_TITLE = "Source";
Msg$0.PART_DATA_RSS_SOURCE_HEADLINES = "Headlines";
Msg$0.PART_DATA_RSS_SOURCE_WORLD = "World";
Msg$0.PART_DATA_RSS_SOURCE_UK = "UK";
Msg$0.PART_DATA_RSS_SOURCE_EDUCATION = "Education";
Msg$0.PART_DATA_RSS_SOURCE_SCI_ENV = "Science & Environment";
Msg$0.PART_DATA_RSS_SOURCE_TECH = "Technology";
Msg$0.PART_DATA_RSS_SOURCE_ENT_ARTS = "Entertainment & Art";
Msg$0.PART_DATA_RSS_TITLE_TITLE = "Title";
Msg$0.PART_DATA_RSS_TITLE_DESC = "The title of the article";
Msg$0.PART_DATA_SPORTS_SPORT_TITLE = "Sport";
Msg$0.PART_DATA_SPORTS_SPORT_HEADLINES = "Headlines";
Msg$0.PART_DATA_SPORTS_SPORT_FOOTBALL = "Football";
Msg$0.PART_DATA_SPORTS_SPORT_CRICKET = "Cricket";
Msg$0.PART_DATA_SPORTS_SPORT_RUGBY_UNION = "Rugby Union";
Msg$0.PART_DATA_SPORTS_SPORT_RUGBY_LEAGUE = "Rugby League";
Msg$0.PART_DATA_SPORTS_SPORT_TENNIS = "Tennis";
Msg$0.PART_DATA_SPORTS_SPORT_GOLF = "Golf";
Msg$0.PART_MOTION_SENSOR_UP = "gesture up";
Msg$0.PART_MOTION_SENSOR_DOWN = "gesture down";
Msg$0.PART_MOTION_SENSOR_LEFT = "gesture left";
Msg$0.PART_MOTION_SENSOR_RIGHT = "gesture right";
Msg$0.PART_MOTION_SENSOR_NEAR = "gesture near";
Msg$0.PART_MOTION_SENSOR_FAR = "gesture far";
Msg$0.PART_GYRO_ACCELEROMETER_READ_DATA = "reads data";
Msg$0.KANO_WORKSPACE_TOOLBAR_CLOSE = "close";
Msg$0.KANO_WORKSPACE_TOOLBAR_ADD_PARTS = "add parts";
Msg$0.KANO_WORKSPACE_TOOLBAR_DONE = "Done";
Msg$0.KANO_WORKSPACE_TOOLBAR_EDIT_LAYOUT = "Edit Layout";
Msg$0.KANO_WORKSPACE_TOOLBAR_FULLSCREEN = "Fullscreen";
Msg$0.KANO_SCENE_EDITOR_NEXT = "Next";
Msg$0.KANO_SCENE_EDITOR_HINTS = "Hints";
Msg$0.RECORDING = "Recording";
Msg$0.KANO_SHARE_MODAL_START_RECORDING = "Start generating your animated gif";
Msg$0.KANO_SHARE_MODAL_MAKE_ANOTHER = "Make another gif";
Msg$0.KANO_SHARE_MODAL_COPY = "copy";
Msg$0.KANO_SHARE_MODAL_GET_SHARE_LINK = "Get share link";
Msg$0.KANO_SHARE_MODAL_BRING_TO_LIFE = "Bring your own creation to life";
Msg$0.KANO_SHARE_MODAL_BUILD_YOUR_OWN = "build your own";
Msg$0.KANO_SHARE_MODAL_APP_IS_STORED = "Your app is safely stored in 'My Creations'.";
Msg$0.KANO_SHARE_MODAL_WANT_TO_SHARE = "Want to share it with your friends?";
Msg$0.KANO_SHARE_MODAL_OPEN_APP = "Open app";
Msg$0.KANO_SHARE_MODAL_NEXT_CHALLENGE = "Next Challenge";
Msg$0.KANO_SHARE_MODAL_TRY_LATER = "Please try again later.";
Msg$0.KANO_SHARE_MODAL_UNFORTUNATE = "This is unfortunate";
Msg$0.KANO_CHALLENGE_UI_NEXT = "Next";
Msg$0.KANO_CHALLENGE_UI_HINT = "Hint";
Msg$0.KANO_CHALLENGE_COMPLETED_MODAL_CHALLENGE_COMPLETED = "Challenge Completed";
Msg$0.KANO_CHALLENGE_COMPLETED_MODAL_XP_EARNED = "You've just earned";
Msg$0.KANO_CHALLENGE_COMPLETED_MODAL_XP = "XP";
Msg$0.KANO_CHALLENGE_COMPLETED_MODAL_GOT_IT = "GOT IT";
Msg$0.KANO_CHALLENGE_COMPLETED_MODAL_COMPLIMENT = "Nice work!";
Msg$0.KANO_BLOCKLY_OMNIBOX_TYPE = "Type: ";
Msg$0.KANO_ADD_PARTS_ADD_PARTS = "Add Parts";
Msg$0.KANO_ADD_PARTS_NO_PARTS_HEADER = "No parts available";
Msg$0.KANO_ADD_PARTS_NO_PARTS_TEXT = "No parts here yet. Complete the challenge to unlock them all!";
Msg$0.KANO_APP_EDITOR_ABOUT_TO_RESET = "You'll lose any unsaved changes";
Msg$0.KANO_APP_EDITOR_ABOUT_TO_DELETE = "You are about to delete";
Msg$0.KANO_APP_EDITOR_WANT_TO_DO_THIS = "Are you sure you want to do this?";
Msg$0.KANO_APP_EDITOR_CANT_DELETE = "You can't delete";
Msg$0.KANO_APP_EDITOR_USED_IN_CODE = "because it is used in the code";
Msg$0.KANO_EDITOR_LIGHTBOARD_ADD_PART = "Add Part";
Msg$0.KANO_VIEW_STORY_NOT_FINISHED = "Oh oh.. not finished yet!";
Msg$0.KANO_VIEW_STORY_LEAVE_CHALLENGE = "Are you sure you want to leave the challenge?";
window.Blockly = window.Blockly || {};
Blockly.Msg = Blockly.Msg || {};
Blockly.Msg.CATEGORY_COLOR = "Color";
Blockly.Msg.CATEGORY_CONTROL = "Control";
Blockly.Msg.CATEGORY_EVENTS = "Events";
Blockly.Msg.CATEGORY_LISTS = "Lists";
Blockly.Msg.CATEGORY_LOGIC = "Logic";
Blockly.Msg.CATEGORY_FUNCTIONS = "Functions";
Blockly.Msg.CATEGORY_MATH = "Math";
Blockly.Msg.CATEGORY_VARIABLES = "Variables";
Blockly.Msg.CATEGORY_FUN = "Fun";
Blockly.Msg.CATEGORY_MISC = "Misc";
Blockly.Msg.COLOR_RANDOM = "random color";
Blockly.Msg.COLOR_LERP = "lerp from %1 to %2 % %3";
Blockly.Msg.LOOP_FOREVER_REPEAT = "Repeat";
Blockly.Msg.LOOP_FOREVER_FOREVER = "forever";
Blockly.Msg.LOOP_X_TIMES_REPEAT = "Repeat %1 times";
Blockly.Msg.LOOP_EVERY_REPEAT = "Every";
Blockly.Msg.LOOP_IN = "In %1 %2";
Blockly.Msg.WHEN = "When";
Blockly.Msg.GLOBAL_EVENT = Blockly.Msg.WHEN + " %1";
Blockly.Msg.COLLIDES_WITH = "collides with";
Blockly.Msg.RESTART_CODE = "Restart code";
Blockly.Msg.APP_STARTS = "app starts";
Blockly.Msg.KEY_EVENT = "When key %1 is %2";
Blockly.Msg.RANDOM_CAT = "random cat";
Blockly.Msg.MATH_LERP = "lerp from %1 to %2 % %3";
Blockly.Msg.FUNCTION_DEFINITION_NAME = "function";
Blockly.Msg.FUNCTION_DEFINITION_DEFAULT_NAME = "my function";
Blockly.Msg.FUNCTION_DEFINITION_DO = "do";
Blockly.Msg.FUNCTION_DEFINITION_RETURNS = "returns";
Blockly.Msg.BLOCK_VALUE = "value";
Blockly.Msg.BLOCK_SET_BACKGROUND_COLOR = "set background color to %1";
Blockly.Msg.BLOCK_IS_CLICKED = "is clicked";
Blockly.Msg.BLOCK_UI_MOVE_BY = "move  %1 pixels";
Blockly.Msg.BLOCK_UI_ROTATE = "turn %1 %2 degrees";
Blockly.Msg.BLOCK_UI_ROTATE_CLOCKWISE = "turn \u21BB %1 degrees";
Blockly.Msg.BLOCK_UI_ROTATE_COUNTER_CLOCKWISE = "turn \u21BA %1 degrees";
Blockly.Msg.BLOCK_UI_ABSOLUTE_ROTATE = "point to %1 degrees";
Blockly.Msg.BLOCK_UI_SCALE = "set size to %1 %";
Blockly.Msg.BLOCK_UI_RELATIVE_SCALE = "change size by %1 %";
Blockly.Msg.BLOCK_UI_SET_X_Y = "move to x %1, y %2";
Blockly.Msg.BLOCK_UI_SET_X = "set x to %1";
Blockly.Msg.BLOCK_UI_SET_Y = "set y to %1";
Blockly.Msg.BLOCK_UI_VISIBILITY_SHOW = "Show";
Blockly.Msg.BLOCK_UI_VISIBILITY_HIDE = "Hide";
Blockly.Msg.BLOCK_UI_TOGGLE_VISIBILITY = "toggle visibility";
Blockly.Msg.BLOCK_UI_X = "x position";
Blockly.Msg.BLOCK_UI_Y = "y position";
Blockly.Msg.BLOCK_UI_SIZE = "size";
Blockly.Msg.BLOCK_UI_ROTATION = "rotation";
Blockly.Msg.DIRECTION_UP = "up";
Blockly.Msg.DIRECTION_DOWN = "down";
Blockly.Msg.DIRECTION_LEFT = "left";
Blockly.Msg.DIRECTION_RIGHT = "right";
Blockly.Msg.BLOCK_DATA_REFRESH = "refresh data";
Blockly.Msg.BLOCK_DATA_SET_CONFIG = "set %1 to %2";
Blockly.Msg.BLOCK_DATA_FOR_EACH = "for each item in";
Blockly.Msg.BLOCK_DATA_UPDATED = "updated";
Blockly.Msg.BLOCK_RSS_SET_SOURCE = "set source %1";
Blockly.Msg.BLOCK_BOX_SET_STROKE_SIZE = "set stroke size to %1";
Blockly.Msg.BLOCK_BOX_SET_STROKE_COLOR = "set stroke color to %1";
Blockly.Msg.BLOCK_BOX_SET_BACKGROUND_COLOR = "set background color %1";
Blockly.Msg.BLOCK_BUTTON_LABEL = "label";
Blockly.Msg.BLOCK_BUTTON_SET_LABEL = "set label to %1";
Blockly.Msg.BLOCK_BUTTON_SET_TEXT_COLOR = "set text color to %1";
Blockly.Msg.BLOCK_CLOCK_CURRENT = "current %1";
Blockly.Msg.BLOCK_CLOCK_YEAR = "Year";
Blockly.Msg.BLOCK_CLOCK_MONTH = "Month";
Blockly.Msg.BLOCK_CLOCK_DAY = "Day";
Blockly.Msg.BLOCK_CLOCK_HOUR = "Hour";
Blockly.Msg.BLOCK_CLOCK_MINUTE = "Minute";
Blockly.Msg.BLOCK_CLOCK_SECONDS = "Seconds";
Blockly.Msg.BLOCK_CLOCK_DATE = "Date";
Blockly.Msg.BLOCK_CLOCK_TIME = "Time";
Blockly.Msg.BLOCK_MAP_MOVE_MARKER = "move marker to lat %1 long %2";
Blockly.Msg.BLOCK_MAP_MOVE_MARKER_RANDOM = "move marker to random";
Blockly.Msg.BLOCK_MAP_SET_VIEW = "set view to: %1";
Blockly.Msg.BLOCK_MAP_SET_ZOOM = "set zoom to: %1";
Blockly.Msg.BLOCK_MAP_MAP = "Map";
Blockly.Msg.BLOCK_MAP_SATELLITE = "Satellite";
Blockly.Msg.BLOCK_MIC_VOLUME = "volume";
Blockly.Msg.BLOCK_MIC_PITCH = "pitch";
Blockly.Msg.BLOCK_MIC_WHEN_VOLUME = "when volume goes %1 %2";
Blockly.Msg.BLOCK_MIC_OVER = "over";
Blockly.Msg.BLOCK_MIC_UNDER = "under";
Blockly.Msg.BLOCK_OSC_SET_SPEED = "set speed %1";
Blockly.Msg.BLOCK_OSC_SPEED = "speed";
Blockly.Msg.BLOCK_OSC_SET_DELAY = "set delay %1";
Blockly.Msg.BLOCK_OSC_DELAY = "delay";
Blockly.Msg.BLOCK_PICTURE_LIST_LENGTH = "length";
Blockly.Msg.BLOCK_PICTURE_LIST_ADD_PICTURE = "add picture %1";
Blockly.Msg.BLOCK_PICTURE_LIST_GET_PICTURE = "get picture %1 in list";
Blockly.Msg.BLOCK_PICTURE_LIST_FOR_EACH = "for each picture";
Blockly.Msg.BLOCK_PICTURE_LIST_PICTURE = "picture";
Blockly.Msg.BLOCK_PICTURE_LIST_PLAY = "play";
Blockly.Msg.BLOCK_PICTURE_LIST_PAUSE = "pause";
Blockly.Msg.BLOCK_PICTURE_LIST_SET_SPEED = "set speed to %1";
Blockly.Msg.BLOCK_PICTURE_LIST_SAVE_GIF = "save gif";
Blockly.Msg.BLOCK_SCROLL_SCROLL = "scroll %1";
Blockly.Msg.BLOCK_SPEAKER_SAY = "say %1 % speed %2 accent %3";
Blockly.Msg.BLOCK_SPEAKER_BRITISH = "British English";
Blockly.Msg.BLOCK_SPEAKER_US = "US English";
Blockly.Msg.BLOCK_SPEAKER_FRENCH = "French";
Blockly.Msg.BLOCK_SPEAKER_GERMAN = "German";
Blockly.Msg.BLOCK_SPEAKER_ITALIAN = "Italian";
Blockly.Msg.BLOCK_SPEAKER_PLAY = "play %1";
Blockly.Msg.BLOCK_SPEAKER_PLAYBACK_RATE = "set pitch to %1";
Blockly.Msg.BLOCK_SPEAKER_LOOP = "loop %1";
Blockly.Msg.BLOCK_SPEAKER_VOLUME = "set volume %1";
Blockly.Msg.BLOCK_SPEAKER_RANDOM_FROM = "random sound %1";
Blockly.Msg.BLOCK_SPEAKER_PICKER_HEADING = "Pick Sound";
Blockly.Msg.BLOCK_SYNTH_PLAY_FREQUENCY_FOR = "play pitch %1 for %2 miliseconds";
Blockly.Msg.BLOCK_SYNTH_START = "start";
Blockly.Msg.BLOCK_SYNTH_STOP = "stop";
Blockly.Msg.BLOCK_SYNTH_SET_FREQUENCY = "set pitch %1";
Blockly.Msg.BLOCK_SYNTH_SET_WAVE = "set wave %1";
Blockly.Msg.BLOCK_STICKER_SET = "set to %1";
Blockly.Msg.BLOCK_STICKER_RANDOM = "random sticker";
Blockly.Msg.BLOCK_STICKER_RANDOM_FROM = "random %1";
Blockly.Msg.BLOCK_TEXT_SET = "set text to %1";
Blockly.Msg.BLOCK_TEXT_TEXT = "text";
Blockly.Msg.BLOCK_TERMINAL_TOGGLE = "toggle %1";
Blockly.Msg.BLOCK_TERMINAL_ON = 'on';
Blockly.Msg.BLOCK_TERMINAL_OFF = 'off';
Blockly.Msg.BLOCK_TERMINAL_PRINT_LINE = 'print line %1';
Blockly.Msg.BLOCK_TERMINAL_PRINT = 'print %1';
Blockly.Msg.BLOCK_TERMINAL_CLEAR = 'clear';
Blockly.Msg.BLOCK_TEXT_INPUT_CHANGED = "has changed";
Blockly.Msg.BLOCK_TEXT_INPUT_PLACEHOLDER = "placeholder";
Blockly.Msg.BLOCK_TEXT_INPUT_SET_VALUE = "set value to %1";
Blockly.Msg.BLOCK_TEXT_INPUT_SET_PLACEHOLDER = "set placeholder to %1";
Blockly.Msg.BLOCK_CANVAS_SETBACKGROUND_COLOR = "background color %1";
Blockly.Msg.BLOCK_CANVAS_LINE_TO = "line to x %1 y %2";
Blockly.Msg.BLOCK_CANVAS_LINE_ALONG = "line along %1 down %2";
Blockly.Msg.BLOCK_CANVAS_FILL_COLOR = "fill color %1";
Blockly.Msg.BLOCK_CANVAS_NO_FILL = "no fill";
Blockly.Msg.BLOCK_CANVAS_STROKE = "stroke color %1 thickness %2";
Blockly.Msg.BLOCK_CANVAS_CIRCLE = "circle radius %1";
Blockly.Msg.BLOCK_CANVAS_ELIPSE = "ellipse width %1 height %2";
Blockly.Msg.BLOCK_CANVAS_SQUARE = "square size %1";
Blockly.Msg.BLOCK_CANVAS_RECTANGLE = "rectangle width %1 height %2";
Blockly.Msg.BLOCK_CANVAS_ARC = "arc %1 %2 %3 %4";
Blockly.Msg.BLOCK_CANVAS_POLYGON = "polygon";
Blockly.Msg.BLOCK_CANVAS_CLOSE_PATH = "close path";
Blockly.Msg.BLOCK_CANVAS_PIXEL = "pixel";
Blockly.Msg.BLOCK_CANVAS_MOVE_TO = "move to x %1 y %2";
Blockly.Msg.BLOCK_CANVAS_MOVE_TO_RANDOM = "move to random point";
Blockly.Msg.BLOCK_CANVAS_MOVE_BY = "move by x %1 y %2";
Blockly.Msg.BLOCK_WEATHER_IS = "is %1";
Blockly.Msg.BLOCK_WEATHER_SUNNY = "sunny";
Blockly.Msg.BLOCK_WEATHER_RAINY = "rainy";
Blockly.Msg.BLOCK_WEATHER_CLOUDY = "cloudy";
Blockly.Msg.BLOCK_WEATHER_SNOWY = "snowy";
Blockly.Msg.BLOCK_LIGHT_MOVE_BY = "move %1 by %2 pixels";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_PLAY = "play";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_PLAY_ONCE = "play once";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_STOP = "stop";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_GO_TO_FRAME = "go to frame nº %1";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_SET_SPEED = "set speed to %1";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_FRAME_COUNT = "frame count";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_CURRENT_FRAME = "current frame";
Blockly.Msg.BLOCK_LIGHT_ANIMATION_DISPLAY_SET_ANIMATION = "set animation to %1";
Blockly.Msg.BLOCK_LIGHT_CIRCLE_SET_RADIUS = "set radius to %1";
Blockly.Msg.BLOCK_LIGHT_CIRCLE_SET_COLOR = "set color to %1";
Blockly.Msg.BLOCK_LIGHT_CIRCLE_RADIUS = "radius";
Blockly.Msg.BLOCK_LIGHT_CIRCLE_COLOR = "color";
Blockly.Msg.BLOCK_LIGHT_RECTANGLE_SET_WIDTH = "set width to %1";
Blockly.Msg.BLOCK_LIGHT_RECTANGLE_SET_HEIGHT = "set height to %1";
Blockly.Msg.BLOCK_LIGHT_RECTANGLE_WIDTH = "width";
Blockly.Msg.BLOCK_LIGHT_RECTANGLE_HEIGHT = "height";
Blockly.Msg.BLOCK_FIREWORKS_REPEAT = "repeat 10 times %1 %2";
Blockly.Msg.BLOCK_FIREWORKS_AT = "fireworks at %1";
Blockly.Msg.BLOCK_FIREWORKS_ANYWHERE = "anywhere";
Blockly.Msg.BLOCK_TALKING_FACE_SAY = "Say %1";
Blockly.Msg.BLOCK_TALKING_FACE_SUPERPOWERS = "You now have superpowers!";
Blockly.Msg.BLOCK_TALKING_FACE_SAY_IN = "Say in %1 %2";
Blockly.Msg.BLOCK_TALKING_FACE_SCOTTISH = "Scottish";
Blockly.Msg.BLOCK_TALKING_FACE_ENGLISH = "English";
Blockly.Msg.BLOCK_TALKING_FACE_AMERICAN = "American";
Blockly.Msg.BLOCK_TALKING_FACE_ITALIAN = "Italian";
Blockly.Msg.BLOCK_TALKING_FACE_FRENCH = "French";
Blockly.Msg.BLOCK_TALKING_FACE_BUBBLES = "Bubbles";
Blockly.Msg.BLOCK_GYRO_ACCELEROMETER_GYRO_AXIS = "Gyroscope %1 axis";
Blockly.Msg.BLOCK_GYRO_ACCELEROMETER_ACCEL_AXIS = "Accelerometer %1 axis";
Blockly.Msg.BLOCK_MOTION_WHEN = "when";
Blockly.Msg.BLOCK_MOTION_IS_TRIGGERED = "is triggered";
Blockly.Msg.BLOCK_MOUSE_X = "X position";
Blockly.Msg.BLOCK_MOUSE_Y = "Y position";
Blockly.Msg.BLOCK_MOUSE_SPEED_X = "X speed";
Blockly.Msg.BLOCK_MOUSE_SPEED_Y = "Y speed";
Blockly.Msg.BLOCK_MOUSE_EVENT = "when %1";
Blockly.Msg.BLOCK_MOUSE_SET_CURSOR = "set cursor %1";
Blockly.Msg.BLOCK_MOUSE_DOWN = "click";
Blockly.Msg.BLOCK_MOUSE_UP = "release";
Blockly.Msg.BLOCK_MOUSE_MOVE = "move";
Blockly.Msg.BLOCK_SLIDER_SET_VALUE = "set value to %1";
window.CustomBlocklyMsg = Blockly.Msg;
//# sourceMappingURL=en-US.js.map