/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, customElement, html, property, css } from 'lit-element/lit-element.js';
let KcPartApiPreview = class KcPartApiPreview extends LitElement {
    constructor() {
        super(...arguments);
        this.label = '';
        this.icon = '';
    }
    static get styles() {
        return [css `
            :host {
                display: inline-flex;
                flex-direction: row;
                align-items: center;
                vertical-align: middle;
            }
            img {
                width: 24px;
                height: 24px;
            }
        `];
    }
    render() {
        return html `
            <img .src=${this.icon} />
            <div>${this.label}</div>
        `;
    }
};
__decorate([
    property({ type: String })
], KcPartApiPreview.prototype, "label", void 0);
__decorate([
    property({ type: String })
], KcPartApiPreview.prototype, "icon", void 0);
KcPartApiPreview = __decorate([
    customElement('kc-part-api-preview')
], KcPartApiPreview);
export { KcPartApiPreview };
//# sourceMappingURL=kc-part-api-preview.js.map