/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
export class Stepper {
    constructor(editor) {
        this.developmentMode = false;
        /**
         * Creates a relationship between an element in the app and its original step
         * This can be used to make sure changes to a challenge file are re-applied to a new challenge
         */
        this.originalSteps = new Map();
        this.editor = editor;
    }
    stepTo(stepIndex, data) {
        this.reset();
    }
    reset() {
        this.originalSteps.clear();
    }
    dispose() {
        this.originalSteps.clear();
    }
}
//# sourceMappingURL=stepper.js.map