/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { DefaultOutputProfile } from '../output/profile.js';
import * as PartAPIs from '../parts/parts/api.js';
import * as APIs from '../modules/api.js';
import DefaultWorkspaceViewProvider from './workspace/default.js';
export class EditorProfile {
}
export class DefaultEditorProfile extends EditorProfile {
    onInstall(editor) {
        this.workspaceViewProvider = new DefaultWorkspaceViewProvider();
        this.plugins = [];
        this.parts = Object.values(PartAPIs);
        this.toolbox = Object.values(APIs);
        this.outputProfile = new DefaultOutputProfile();
    }
}
export default EditorProfile;
//# sourceMappingURL=profile.js.map