import { Plugin } from '../plugin.js';
/**
 * Manages the actions in the toolbar avilable in the workspace
 */
export declare class WorkspaceToolbar extends Plugin {
    private subscriptions;
    private _telemetry;
    private editor?;
    private toolbar?;
    private resetDialog?;
    private defaultEntries;
    constructor();
    /**
     * @param {Editor} editor The editor this plugin is attached to
     */
    onInstall(editor: any): void;
    onInject(): void;
    disable(id: string): void;
    updateRunningState(): void;
    updateFullscreen(): void;
    restart(): void;
    toggleRun(): void;
    toggleFullscreen(): void;
    reset(): void;
    export(fileName?: string): void;
    import(): void;
    addEntry(...args: any[]): any;
    addSettingsEntry(...args: any[]): any;
    static createDisposableNoop(): {
        onDidActivate(): void;
        updateTitle(): void;
        updateIcon(): void;
        updateIronIcon(): void;
        dispose(): void;
    };
    onDispose(): void;
}
export default WorkspaceToolbar;
