import { FieldIcon } from '../../../blockly/fields/icon.js';
import '@kano/styles/color.js';
import '@kano/styles/typography.js';
import '@kano/kwc-picker/kwc-picker.js';
export interface IItemData {
    id: string;
    label: string;
}
declare type ItemDataProvider = () => IItemData[];
export declare class CollidableField extends FieldIcon {
    private domNode;
    private items;
    constructor(value: string, items: ItemDataProvider, optValidator?: () => void);
    refresh(): void;
    showEditor_(): void;
    position(): void;
    getIcon(): string;
    getLabel(): string;
    static widgetDispose_(): void;
}
export {};
