export declare const ControlAPI: {
    type: string;
    id: string;
    name: string;
    typeScriptDefinition: string;
    register(Blockly: any): void;
    category: {
        readonly name: string;
        id: string;
        colour: string;
        blocks: (string | {
            id: string;
            defaults: string[];
        })[];
    };
    defaults: {
        every_x_seconds: {
            INTERVAL: number;
            UNIT: string;
        };
        in_x_time: {
            DELAY: number;
            UNIT: string;
        };
        repeat_x_times: {
            N: number;
        };
    };
    labels: {
        every_x_seconds: {
            UNIT: string[][];
        };
        in_x_time: {
            UNIT: string[][];
        };
    };
};
export default ControlAPI;
