export declare const ListsAPI: {
    type: string;
    id: string;
    name: string;
    register(Blockly: any): void;
    category: {
        readonly name: string;
        id: string;
        colour: string;
        blocks: string[];
    };
    defaults: {
        lists_indexOf: {
            END: string;
        };
        lists_getIndex: {
            MODE: string;
            WHERE: string;
        };
        lists_setIndex: {
            MODE: string;
            WHERE: string;
        };
    };
    labels: {
        lists_indexOf: {
            END: string[][];
        };
        lists_getIndex: {
            MODE: string[][];
            WHERE: string[][];
        };
        lists_setIndex: {
            MODE: string[][];
            WHERE: string[][];
        };
    };
};
export default ListsAPI;
