export interface IMonotronOptions {
    ctx: AudioContext;
    waveType: OscillatorType;
}
declare class Monotron {
    private ctx;
    vco: OscillatorNode;
    private output;
    vcf: BiquadFilterNode;
    private filterOn?;
    constructor(opts: IMonotronOptions);
    setWaveType(wave: OscillatorType): void;
    noteOn(freq: number, time?: number): void;
    noteOff(time?: number): void;
    setVolume(volume: number): void;
    stop(): void;
    connect(target: AudioNode): void;
}
export { Monotron };
