/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
export class OutputViewProvider {
    constructor() {
        this.root = document.createElement('div');
    }
    start() { }
    stop() { }
    onInstall(output) { }
    onInject() { }
    onImport() { }
    onExport(data) {
        return data;
    }
    onCreationImport(data) { }
    onCreationExport(data) {
        return data;
    }
    render(...args) { }
    getRestrictElement() {
        return this.root;
    }
    onDispose() { }
    getVisuals() {
        throw new Error('Could not get canvas: The Output did not create a canvas');
    }
    getAudio() {
        throw new Error('Could not get audio context: The output did not create an AudioContext');
    }
    updateProgress(value) { }
}
;
export default OutputViewProvider;
//# sourceMappingURL=index.js.map