/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { StringPartEditorField } from './string.js';
export class NumberPartEditorField extends StringPartEditorField {
    static get propertyType() {
        return Number;
    }
    constructor(component, key) {
        super(component, key);
        this._input.type = 'number';
    }
    _getInputValue() {
        return parseInt(this._input.value, 10);
    }
}
//# sourceMappingURL=number.js.map