import { DOMPart } from '../dom/dom.js';
import { StickerComponent } from './sticker-component.js';
import { IPartContext } from '../../part.js';
export declare class StickerPart extends DOMPart<HTMLDivElement> {
    private _stickers;
    core: StickerComponent;
    static transformLegacy(app: any): void;
    constructor();
    onInstall(context: IPartContext): void;
    getElement(): HTMLDivElement;
    render(): void;
    renderComponents(ctx: CanvasRenderingContext2D): Promise<void>;
    image: string;
    random(id: string): string;
    stampChoice(id: string): string;
}
