import { CreationCustomPreviewProvider } from '../creation-preview-provider.js';
import { Output } from '../../output/output.js';
export declare class CreationAnimationPreviewProvider extends CreationCustomPreviewProvider {
    private size;
    private length;
    private fps;
    private scale;
    constructor(size: {
        width: number;
        height: number;
    }, length: number, fps: number, scale?: number);
    createFrame(output: Output): Promise<HTMLCanvasElement>;
    createFile(output: Output): Promise<Blob>;
    display(blob: Blob): HTMLImageElement;
}
