/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { BlocklyStepHelper } from './blockly.js';
export class BlocklyValueStepHelper extends BlocklyStepHelper {
    test(challenge, step) {
        return super.test(challenge, step) && step.validation.blockly.value;
    }
    getField(challenge, step) {
        const validation = step.validation.blockly.value;
        const result = challenge.editor.querySelector(validation.target);
        return result && result.field;
    }
}
//# sourceMappingURL=value.js.map