/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import '@kano/styles/color.js';
import { LitElement, customElement, property, css, html } from 'lit-element/lit-element.js';
let KcStringPreview = class KcStringPreview extends LitElement {
    constructor() {
        super(...arguments);
        this.value = null;
    }
    static get styles() {
        return [css `
            :host {
                display: inline-block;
                vertical-align: middle;
                border-radius: 3px;
                border: 1px solid var(--color-grey);
                min-height: 18px;
                min-width: 18px;
                line-height: 18px;
                text-align: center;
                padding: 0px 2px;
                box-sizing: border-box;
                font-weight: bold;
            }
        `];
    }
    render() {
        return html `<slot></slot>`;
    }
};
__decorate([
    property({ type: String })
], KcStringPreview.prototype, "value", void 0);
KcStringPreview = __decorate([
    customElement('kc-string-preview')
], KcStringPreview);
export { KcStringPreview };
//# sourceMappingURL=kc-string-preview.js.map