const DEFAULT_ENV = 'production';

// Finds the configured environment from the url
export function extractEnv() {
    const m = location.search.match(/env=(staging|production|dev)/);
    return m && m[1] ? m[1] : DEFAULT_ENV;
}

// Finds the configured environment from the url
export function getUrlParams(search = location.search.substring(1)) {
    const hashes = search.slice(search.indexOf('?') + 1).split('&');
    return hashes.reduce((acc, hash) => {
        const [key, val] = hash.split('=');
        acc[key] = decodeURIComponent(val);
        return acc;
    }, {});
}
