/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
import { EventEmitter } from '@kano/common/index.js';
export class ChallengeBase {
    constructor(editor) {
        this._onDidEnd = new EventEmitter();
        this._onDidRequestShare = new EventEmitter();
        this._onDidRequestNextChallenge = new EventEmitter();
        this.editor = editor;
    }
    get onDidEnd() { return this._onDidEnd.event; }
    get onDidRequestShare() { return this._onDidRequestShare.event; }
    get onDidRequestNextChallenge() { return this._onDidRequestNextChallenge.event; }
    setData(data) {
        this.data = data;
    }
}
//# sourceMappingURL=base.js.map