export declare const ColorAPI: {
    type: string;
    id: string;
    name: string;
    typeScriptDefinition: string;
    register(Blockly: any): void;
    category: {
        readonly name: string;
        id: string;
        colour: string;
        blocks: (string | {
            id: string;
            defaults: string[];
        })[];
    };
    defaults: {
        colour_picker: {
            COLOUR: string;
        };
        create_color: {
            TYPE: string;
            '1': number;
            '2': number;
            '3': number;
        };
        color_lerp: {
            FROM: string;
            TO: string;
            PERCENT: number;
        };
    };
    labels: {
        create_color: {
            TYPE: string[][];
        };
    };
};
export default ColorAPI;
