export declare const LogicAPI: {
    type: string;
    id: string;
    name: string;
    register(Blockly: any): void;
    category: {
        readonly name: string;
        id: string;
        colour: string;
        blocks: string[];
    };
    defaults: {
        logic_compare: {
            OP: string;
        };
        logic_boolean: {
            BOOL: string;
        };
        logic_operation: {
            OP: string;
        };
    };
    labels: {
        logic_compare: {
            OP: string[][];
        };
        logic_boolean: {
            BOOL: string[][];
        };
        logic_operation: {
            OP: string[][];
        };
    };
};
export default LogicAPI;
