/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { PartComponent } from '../component.js';
import { property } from '../decorators.js';
import { EventEmitter } from '@kano/common/index.js';
export class Transform extends PartComponent {
    constructor() {
        super(...arguments);
        this.x = 400;
        this.y = 300;
        this.scale = 1;
        this.rotation = 0;
        this.opacity = 1;
        this.click = new EventEmitter();
    }
}
__decorate([
    property({ type: Number, value: 400 })
], Transform.prototype, "x", void 0);
__decorate([
    property({ type: Number, value: 300 })
], Transform.prototype, "y", void 0);
__decorate([
    property({ type: Number, value: 1 })
], Transform.prototype, "scale", void 0);
__decorate([
    property({ type: Number, value: 0 })
], Transform.prototype, "rotation", void 0);
__decorate([
    property({ type: Number, value: 1 })
], Transform.prototype, "opacity", void 0);
__decorate([
    property({ type: EventEmitter, value: new EventEmitter(), noReset: true })
], Transform.prototype, "click", void 0);
//# sourceMappingURL=transform.js.map