/// <reference path="../../../../../../src/@types/@kano/common/index.d.ts" />
import Tone from '../../../../../modules/tone.js';
export declare class Sequencer {
    steps: boolean[];
    loop: Tone.Sequence;
    private _onDidStep;
    private _onDidStepsChange;
    private _onHit;
    readonly onDidStep: import("@kano/common/index.js").IEvent<number>;
    readonly onDidStepsChange: import("@kano/common/index.js").IEvent<void>;
    readonly onHit: import("@kano/common/index.js").IEvent<number>;
    constructor(size: number, bpm: number);
    setBPM(v: number): void;
    setSteps(steps: boolean[]): void;
    start(): void;
    stop(): void;
    shuffle(): void;
    dispose(): void;
}
export default Sequencer;
