/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { property } from '../../decorators.js';
import { PartComponent } from '../../component.js';
import { Sticker } from './types.js';
export class StickerComponent extends PartComponent {
    constructor() {
        super(...arguments);
        this.image = new Sticker('');
    }
    render(ctx, el) {
        const img = el;
        ctx.drawImage(img, 0, 0, 100, 100);
    }
}
__decorate([
    property({ type: Sticker, value: () => new Sticker('') })
], StickerComponent.prototype, "image", void 0);
//# sourceMappingURL=sticker-component.js.map