/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Part } from '../../part.js';
import { part } from '../../decorators.js';
let VoicePart = class VoicePart extends Part {
    onStop() {
        window.speechSynthesis.cancel();
    }
    say(text, speed, language) {
        let msg = new SpeechSynthesisUtterance(text);
        msg.pitch = 1;
        msg.rate = speed / 100;
        msg.lang = language;
        window.speechSynthesis.speak(msg);
    }
};
VoicePart = __decorate([
    part('voice')
], VoicePart);
export { VoicePart };
//# sourceMappingURL=voice.js.map