/*
 * Copyright (C) 2016-2020 Kano Computing Ltd.
 * License: http://www.gnu.org/licenses/gpl-2.0.txt GNU General Public License v2
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, customElement, property, html, css } from 'lit-element/lit-element.js';
import { styleMap } from 'lit-html/directives/style-map.js';
let KcColorPreview = class KcColorPreview extends LitElement {
    constructor() {
        super(...arguments);
        this.color = null;
    }
    static get styles() {
        return css `
            :host {
                display: inline-block;
                vertical-align: middle;
            }
            div {
                border-radius: 3px;
                border: 1px solid black;
                width: 18px;
                height: 18px;
            }
        `;
    }
    render() {
        return html `<div style=${styleMap({ background: this.color || '' })}></div>`;
    }
};
__decorate([
    property({ type: String })
], KcColorPreview.prototype, "color", void 0);
KcColorPreview = __decorate([
    customElement('kc-color-preview')
], KcColorPreview);
export { KcColorPreview };
//# sourceMappingURL=kc-color-preview.js.map